import sys
from typing import List

filenames = sys.argv[1:]
N = len(filenames)

p_vals: List[List[float]] = [[] for _ in range(N**2)]

for filename in filenames:
    with open(filename) as f:
        i = 0
        for line in f:
            if not line.startswith("X"):
                break
            p = float(line[line.index("\t") : line.index("\t") + 6])
            p_vals[i].append(p)
            i += 1


print("Vars:    " + "    ".join(f"Txt{i}" for i in range(1, N + 1)))
print("-" * (N + 1) * 8)
for k, row in enumerate(p_vals):
    if len(row) > 0:
        yn = (k % 7) + 1
        xn = (k // 7) + 1
        print(
            f"X{xn}~Y{yn}   "
            + "   ".join(
                f"\033[1m\033[33m{p:0.3f}\033[0m" if p < 0.05 else f"{p:0.3f}"
                for p in row
            )
        )
        if yn == N:
            print("-" * (N + 1) * 8)
